package cc.smtweb.system.bpm.web.engine.model.flow.listcard.single;

import cc.smtweb.framework.core.common.R;
import cc.smtweb.framework.core.common.SwConsts;
import cc.smtweb.framework.core.common.SwMap;
import cc.smtweb.framework.core.db.impl.DefaultEntity;
import cc.smtweb.framework.core.db.vo.ModelTable;
import cc.smtweb.framework.core.exception.BizException;
import cc.smtweb.framework.core.mvc.service.SwListData;
import cc.smtweb.system.bpm.web.design.flow.FlowConst;
import cc.smtweb.system.bpm.web.design.form.ModelForm;
import cc.smtweb.system.bpm.web.design.form.ModelFormHelper;
import cc.smtweb.system.bpm.web.design.form.define.PageDataset;
import cc.smtweb.system.bpm.web.engine.dynPage.DynPageListHandler;
import cc.smtweb.system.bpm.web.engine.dynPage.DynRetBean;
import cc.smtweb.system.bpm.web.engine.flow.FlowHelper;
import cc.smtweb.system.bpm.web.engine.flow.FlowInstance;
import cc.smtweb.system.bpm.web.engine.flow.FlowListener;
import cc.smtweb.system.bpm.web.engine.flow.FlowProvider;
import cc.smtweb.system.bpm.web.engine.model.listcard.single.LCSingleHelper;
import cc.smtweb.system.bpm.web.engine.model.listcard.single.LCSingleLoadHandler;

import java.util.ArrayList;

/**
 * Created by Akmm at 2022-08-26 17:15
 * 流程加载
 */
public class FlowSingleLoadHandler<T extends DefaultEntity> extends LCSingleLoadHandler<T> implements FlowListener {
    protected FlowInstance flowInstance;

    @Override
    protected void afterAdd(SwMap ret, T bean) {
        flowInstance = FlowInstance.createByBillType(us, this, form.getBillType());
        
        PageDataset cardDataset = LCSingleHelper.findCardDataset(datasets);
        bean.setEntityId(flowInstance.getProcInst().getId());

        ret.put(cardDataset.name, DynRetBean.createBean(bean));
        ret.put(FlowHelper.DATASET_NAME_FLOW, DynRetBean.createBean(flowInstance.getProcInst()));
        ret.put(FlowHelper.DATASET_NAME_COMMENT, DynRetBean.createList(SwListData.EMPTY));
        flowInstance.setPageRetExtra(ret);
    }

    @Override
    public R load() {
        SwMap ret = new SwMap();
        //过滤条件
        long id = params.readLong("id");
        long taskId = params.readLong("taskId");

        PageDataset cardDataset = LCSingleHelper.findCardDataset(datasets);
        T bean = provider.loadBean(cardDataset, id);
        ret.put(cardDataset.name, DynRetBean.createBean(bean));

        //加载流程信息
        flowInstance = FlowInstance.createById(us,this, id, taskId);

        ret.put(FlowHelper.DATASET_NAME_FLOW, DynRetBean.createBean(flowInstance.getProcInst()));
        ret.put(FlowHelper.DATASET_NAME_COMMENT, DynRetBean.createList(SwListData.create(flowInstance.loadComment(), 0)));
        flowInstance.setPageRetExtra(ret);
        afterLoad(ret, bean);
        return R.success(ret);
    }

    @Override
    protected DynPageListHandler getListWorker(SwMap filter, PageDataset pageDataSet) {
        FlowListHandler listHandler = new FlowListHandler(form.getId(), filter, pageDataSet);
        listHandler.init(params, us);
        return listHandler;
    }
}
