package cc.smtweb.system.bpm.web.engine.model.listcard.single;

import cc.smtweb.framework.core.common.SwEnum;
import cc.smtweb.framework.core.common.SwMap;
import cc.smtweb.framework.core.exception.SwException;
import cc.smtweb.system.bpm.web.design.form.define.PageDataset;
import cc.smtweb.system.bpm.web.design.form.define.PageDatasets;
import cc.smtweb.system.bpm.web.engine.dynPage.DynRetBean;

/**
 * Created by Akmm at 2022-08-16 16:07
 * 常量定义
 */
public interface LCSingleHelper {
    String DATASET_NAME_LIST = "list";
    String DATASET_NAME_CARD = "card";

    //卡片数据集
    static PageDataset findCardDataset(PageDatasets datasets) {
        PageDataset cardDataset = datasets.findByName(DATASET_NAME_CARD);
        if (cardDataset == null) throw new SwException("没有找到卡片数据集！");
        if (!SwEnum.DatasetType.FORM.value.equals(cardDataset.type)) {//单表
            throw new SwException("卡片数据集定义错误！");
        }
        return cardDataset;
    }

    //列表数据集
    static PageDataset findListDataset(PageDatasets datasets) {
        PageDataset cardDataset = datasets.findByName(DATASET_NAME_LIST);
        if (cardDataset == null) throw new SwException("没有找到列表数据集！");
        if (!SwEnum.DatasetType.LIST.value.equals(cardDataset.type)) {//列表
            throw new SwException("列表数据集定义错误！");
        }
        return cardDataset;
    }

    static SwMap buildRetData(String dsName, SwMap data) {
        SwMap mapRet = new SwMap();
        mapRet.put(dsName, DynRetBean.createBean(data));
        return mapRet;
    }
}
