package cc.smtweb.system.bpm.web.sys.user.dept;

import cc.smtweb.framework.core.annotation.SwCache;
import cc.smtweb.framework.core.cache.AbstractEntityCache;
import cc.smtweb.framework.core.cache.CacheManager;

import java.util.Set;

/**
 * Created by 1 at 2022-07-27 09:35:05
 * 实体【[部门表](SYS_DEPT)】的缓存类
 */
@SwCache(ident = "SYS_DEPT", title = "部门表")
public class DeptCache extends AbstractEntityCache<Dept> {
    //缓存key：按编码
    public final static String mk_code = "code";
    //缓存key：按机构
    public final static String mk_p = "p";

    public static DeptCache getInstance() {
        return CacheManager.getIntance().getCache(DeptCache.class);
    }

    public DeptCache() {
        //缓存key：按编码
        regMap(mk_code, "dpt_code");
        //缓存key：按机构
        regList(mk_p, "dpt_pt_id");
    }

    //缓存key：按编码
    public final Dept getByCode(String key) {
        return getByKey(mk_code, key);
    }
    //缓存key：按机构
    public final Set<Dept> getByP(String key) {
        return getListByKey(mk_p, key);
    }
}
