<#if (group.type == "card")>
    {
        "id": "${newId()}",
        "type": "fx-form-panel",
        "shape": "panel",
        "props": {
            "size": "0",
            "gridTemplateColumns": "1fr 1fr 1fr",
            "paddingTop": 32
        },
        "children": [
         <#list group.fields as field>
        {
            "id": "${newId()}",
            "type": "fx-${field.editor}",
            "props": {
            "label": "${field.label}",
            "dataset": "${field.dataset}",
            "required": "${field.required}",
            "field": "${field.id}",
            "placeholder": "请输入内容",
            "labelWidth": 150,
            "readonly": "${field.readonly}",
            "affixError": true
        },
        "events": {}
        }<#if field_has_next>,</#if>
        </#list>
        ]
    },
<#elseif (group.type == "list")>
    {
        "id": "${newId()}",
        "type": "fx-form-panel",
        "shape": "panel",
        "props": {
            "size": "400",
            "label": "列表",
            "colNum": 0,
            "paddingLeft": 20,
            "paddingRight": 20,
            "shadow": "",
            "paddingTop": 0
        },
        "children": [
        {
            "id": "id${newId()}",
            "type": "fx-table",
            "props": {
                "label": "表格",
                "border": true,
                "stripe": true,
                "showHeader": true,
                "fit": true,
                "dataset": "${group.dataset}",
                "actionWidth": 150
            },
            "slots": {
                "default": [
                <#list group.fields as field>
                {
                    "id": "id${newId()}",
                    "type": "fx-table-column",
                    "props": {
                        "field": "${field.id}",
                        "label": "${field.label}"
                    }
                }<#if field_has_next>,</#if>
                </#list>
                ],
                "button": [
                {
                    "id": "id${newId()}",
                    "type": "fx-button",
                    "props": {
                        "label": "编辑",
                        "leftIcon": "edit",
                        "action": "button:edit",
                        "dataset": "${group.dataset}",
                        "link": true,
                        "linkType": "",
                        "nextAction": "",
                        "fxLink": ""
                    }
                },
                {
                    "id": "id${newId()}",
                    "type": "fx-button",
                    "props": {
                        "label": "删除",
                        "leftIcon": "delete-themes",
                        "action": "button:remove",
                        "preAction": "",
                        "link": true,
                        "confirm": ""
                    }
                }
                ]
            },
            "events": {}
        }
        ]
    },
</#if>