{
    "shape": "panel",
    "id": "form_panel",
    "type": "fx-form-panel",
        "props": {
            "colNum": 3,
            "name": "query",
            "label": "按钮区",
            "size": "56",
            "shadow": "",
            "alignY": "center",
            "paddingRight": 16,
            "gridTemplateColumns": "400px 400px 1fr",
            "paddingLeft": 16
        },
    "children": [
    <#assign fields = group.cfilters>
    <#list fields as filter>
    {
        "id": "id${newId()}",
        "type": "${filter.editor}",
        "props": {
            "label": "${filter.label}",
            <#if filter.maxlength gt 0>
            "maxlength": ${filter.maxlength},
            </#if>
            "placeholder": "请输入${filter.label}",
            "hideLabel": true,
            "labelWidth": 100,
            "affixError": false,
            "dataset": "${filter.dataset}",
            "field": "${filter.id}",
            <#if filter.lookup??>
                "lookup": {
                <#list filter.lookup as k, v>
                    "${k}": "${v}" <#if  k_has_next>,</#if>
                </#list>
                },
            </#if>
            "name": "${filter.name}"
        },
        "events": {}
    },
    </#list>
    {
        "id": "id${newId()}",
        "type": "fx-button-group",
        "props": {
            "menus": [],
            "textAlign": "left"
        },
        "slots": {
        "default": [
            {
                "id": "id${newId()}",
                "type": "fx-button",
                "props": {
                    "label": "重置",
                    "leftIcon": "clear",
                    "action": "button:reset",
                    "dataset": "${param.queryDs}",
                    "link": false,
                    "linkType": ""
                }
            },
            {
                "id": "id${newId()}",
                "type": "fx-button",
                "props": {
                    "label": "查询",
                    "leftIcon": "search",
                    "type": "primary",
                    "action": "button:loadList"
                }
            }
            <#if (group.sfilters?size>0)>
            ,{
                "id": "id${newId()}",
                "type": "fx-button",
                "props": {
                    "label": "高级筛选",
                    "leftIcon": "hamburger-button",
                    "action": "button:link",
                    "link": true,
                    "linkType": "drawer",
                    "fxLink": "dialog:queryDialog"
                }
            }
            </#if>
        ]
    },
    "layout": {
        "col": 1
    }
}]
},
{
"id": "id${newId()}",
"type": "fx-form-panel",
"shape": "panel",
"props": {
"size": "0"
},
"children": [
    {
        "id": "id182e7b9a7fa",
        "type": "fx-divider",
        "props": {
            "label": "",
            "contentPosition": "center",
            "direction": "horizontal"
        }
    }
]
},
