<#assign tmpl_Type = tmplType>
{
    "id": "${newId()}",
    "type": "fx-form-panel",
    "shape": "panel",
    "props": {
        "size": "",
        "label": "列表",
        "colNum": 0,
        "paddingLeft": 16,
        "paddingRight": 16,
        "shadow": ""
    },
    "children": [{
        "id": "id${newId()}",
        "type": "fx-table",
        "props": {
        "label": "表格",

        "border": true,
        "stripe": true,
        "showHeader": true,
        "fit": true,
        "dataset": "${group.dataset}",
        "actionWidth": 120
    },
    "slots": {
    <#if (group.fields?size>0)>
    <#assign fields = group.fields>
        "default": [
        <#list fields as col>
        {
                "id": "id${newId()}",
                "type": "fx-table-column",
                "props": {
                    "field": "${col.id}",
                    "label": "${col.label}"
                }
        }<#if col_has_next>,</#if>
        </#list>
    ],
    </#if>
    "button": [
        <#if (tmpl_Type == "model_list_card")>
        {
            "id": "id${newId()}",
            "type": "fx-button",
            "props": {
                "label": "编辑",
                "type": "primary",
                "leftIcon": "edit",
                "action": "button:editCard",
                "link": false,
                "text": true,
                "linkType": "dialog",
                "fxLink": "dialog:cardDialog",
                "fxLink_text": "${param.cardTitle}"
            }
        },
        <#elseif (tmpl_Type == "model_list_normal" || tmpl_Type == "model_tree_list")>
        {
            "id": "id${newId()}",
            "type": "fx-button",
            "props": {
                "label": "编辑",
                "type": "primary",
                "leftIcon": "edit",
                "action": "button:editCard",
                "dataset": "${group.dataset}",
                "text": true,
                "link": false,
                "linkType": "curr",
                <#if name?has_content && name?ends_with("List")>
                    "fxLink": "bpm.${name?replace("List","Card")}",
                <#else>
                    "fxLink": "",
                </#if>
                "fxLink_text": "编辑卡片"
            }
        },
        <#else >
        {
            "id": "id${newId()}",
            "type": "fx-button",
            "props": {
                "label": "编辑",
                "type": "primary",
                "leftIcon": "edit",
                "action": "button:editCard",
                "dataset": "${group.dataset}",
                "text": true,
                "link": false,
                "linkType": "curr"
            }
        },
        </#if>
        {
            "id": "id${newId()}",
            "type": "fx-button",
            "props": {
                "label": "删除",
                "type": "danger",
                "leftIcon": "delete-themes",
                "action": "button:delCard",
                "link": false,
                "text": true,
                "confirm": ""
            }
        }
    ]
},
"events": {}
}
]
},
