,
{
    "page": {
        "id": "id${newId()}",
        "type":"fx-dialog",
        "props": {
            <#if dialogTitle?has_content>
                "title": "${dialogTitle}",
            <#else>
                "title": "高级筛选",
            </#if>
            <#if dialogKey?has_content>
                "key": "${dialogKey}",
            <#else>
                "key": "queryDialog",
            </#if>
            "destroyOnClose": true,
            "closeOnClickModal": true,
            "width": "20%",
            "height": ""
        },
        "events": {}
    },
    "graph": {
    "shape": "panel",
    "id": "root_panel",
    "type": "fx-split-panel",
    "props": {
        "horizontal": false,
        "shadow":"never"
    },
    "children":[
        {
            "shape": "panel",
            "id": "form_panel",
            "type": "fx-form-panel",
            "props": {
                "colNum": 1,
                "name": "query",
                "label": "查询条件",
                "size": "",
                "paddingTop": 20,
                "scroll": true
            },
            "children": [
                <#assign fields = group.sfilters >
                <#list fields as filter >
                {
                    "id": "id${newId()}",
                    "type": "${filter.editor}",
                    "props": {
                        "label": "${filter.label}",
                        <#if filter.maxlength gt 0 >
                        "maxlength": ${filter.maxlength},
                        </#if>
                        "placeholder": "请输入查询内容",
                        "labelWidth": 100,
                        "dataset": "${filter.dataset}",
                        "field": "${filter.id}",
                       <#if filter.lookup??>
                        "lookup": {
                          <#list filter.lookup as k, v>
                            "${k}": "${v}" <#if  k_has_next>,</#if>
                          </#list>
                        },
                        </#if>
                        "name": "${filter.name}"
                    },
                    "events": {}
                }
                <#if filter_has_next >,</#if>
                </#list>
            ]
        },
        {
            "id": "${newId()}",
            "type": "fx-form-panel",
            "shape": "panel",
            "props": {
                "size":"56",
                "alignY": "center"
            },
            "children":
                [
                    {
                        "id": "id${newId()}",
                        "type": "fx-button-group",
                        "props": {
                            "menus": [],
                            "textAlign": "center"
                        },
                        "slots": {
                            "default": [
                                {
                                    "type": "fx-button",
                                    "props": {
                                        "label": "重置",
                                        "leftIcon": "clear"
                                    },
                                    "id": "id${newId()}"
                                },
                                {
                                    "type": "fx-button",
                                    "props": {
                                        "label": "查询",
                                        "leftIcon": "save",
                                        "type": "success",
                                        "action": "button:loadList"
                                    },
                                    "id": "id${newId()}"
                                }
                            ]
                        }
                    }
                ]
        }]
    }
}
