{
  "form": [
    {
      "page": {
        "id": "p${newId()}",
        "type": "fx-page",
        "props": {
          "title": "${title}",
          "key": "${newId()}"
        }
      },
      "graph": {
        "shape": "panel",
        "id": "root_panel",
        "type": "fx-split-panel",
        "props": {
          "horizontal": false,
          "shadow": "never"
        },
        "children": [
<#list layout.c1 as group>
  <#if (group.type == "list")>
    <#if (group.cfilters?size>0)>
    <#include "incModel/inc_filter.ftl"/>
    </#if>
    <#include "incModel/inc_grid_opt.ftl"/>
  <#elseif (group.type == "card")>
    <#include "incModel/inc_form.ftl"/>
  </#if>,
</#list>
{
            "id": "${newId()}",
            "type": "fx-form-panel",
            "shape": "panel",
            "props": {
              "paddingY": 3,
              "paddingX": 10,
              "size": 20
            },
            "children": [
              {
                "id": "id${newId()}",
                "type": "fx-button-group",
                "props": {
                  "menus": [],
                  "textAlign": "center"
                },
                "slots": {
                  "default": [
                    {
                      "type": "fx-button",
                      "props": {
                        "label": "新增",
                        "leftIcon": "plus",
                        "type": "primary",
                        "action": "button:add"
                      },
                      "id": "id${newId()}"
                    },
                    {
                      "type": "fx-button",
                      "props": {
                        "label": "保存并新增",
                        "type": "primary",
                        "action": "button:saveAndAdd"
                      },
                      "id": "id${newId()}"
                    },
                    {
                      "type": "fx-button",
                      "props": {
                        "label": "保存",
                        "leftIcon": "save",
                        "type": "success",
                        "action": "button:save"
                      },
                      "id": "id${newId()}"
                    },
                    {
                      "type": "fx-button",
                      "props": {
                        "label": "删除",
                        "leftIcon": "delete",
                        "type": "danger",
                        "action": "button:remove"
                      },
                      "id": "id${newId()}"
                    },
                    {
                      "type": "fx-button",
                      "props": {
                        "label": "返回",
                        "leftIcon": "return",
                        "action": "button:return"
                      },
                      "id": "id${newId()}"
                    }
                  ]
                }
              }
            ]
          }
        ]
      }
    }
  ],
  "model": [
<#list datasets as dataset>
  <#include "incModel/inc_model.ftl"/><#if dataset_has_next>,</#if>
</#list>
  ],
  "option": {
    "widgetRef": [${widgetRef}],
    "vars": []
  }
}