{
  "version": 6,
  "form": [
    {
      "page": {
        "id": "id${newId()}",
        "type": "fx-page",
        "props": {
          "title": "${title}",
          "key": "${newId()}"
        }
      },
      "graph": {
        "shape": "panel",
        "id": "root_panel",
        "type": "fx-split-panel",
        "props": {
          "shadow": ""
        },
        "children": [
          {
            "shape": "panel",
            "id": "root_panel",
            "type": "fx-split-panel",
            "props": {
              "horizontal": true,
              "shadow": ""
            },
            "children": [
              <#list layout.c2 as assist>
              {
                "id": "${newId()}",
                "type": "fx-split-panel",
                "shape": "panel",
                "props": {
                  "horizontal": false,
                  "size": "420"
                },
                "children": [
                  {
                    "id": "${newId()}",
                    "type": "fx-form-panel",
                    "shape": "panel",
                    "props": {
                      "size": "50",
                      "alignY": "center",
                      "backgroundImage": "bgImg-region-title",
                      "paddingLeft": 32,
                      "colNum": 2,
                      "gridTemplateColumns": "",
                      "paddingRight": 32
                    },
                    "children": [
                      {
                        "id": "id${newId()}",
                        "type": "fx-title",
                        "props": {
                          "label": "${assist.label}"
                        }
                      },
                      {
                        "id": "id${newId()}",
                        "type": "fx-button-group",
                        "props": {
                          "menus": [],
                          "textAlign": "right"
                        },
                        "slots": {
                          "default": [
                            {
                              "type": "fx-button",
                              "props": {
                                "label": "新增",
                                "leftIcon": "plus",
                                "type": "primary",
                                "action": "button:add",
                                "linkType": "dialog",
                                "link": false,
                                "dataset": "${param.editDs_assist}",
                                "fxLink": "dialog:editAssistDialog",
                                "fxLink_text": "${param.editDs_assist_title}"
                              },
                              "id": "id${newId()}"
                            }
                          ]
                        }
                      }
                    ]
                  },
                  {
                    "id":"${newId()}",
                    "type": "fx-form-panel",
                    "shape": "panel",
                    "props": {
                      "size": "0"
                    },
                    "children": [
                      {
                        "id": "id${newId()}",
                        "type": "fx-divider",
                        "props": {
                          "label": "",
                          "contentPosition": "center",
                          "direction": "horizontal"
                        }
                      }
                    ]
                  },
                  {
                    "id": "${newId()}",
                    "type": "fx-form-panel",
                    "shape": "panel",
                    "props": {
                      "alignY": "center",
                      "size": "50",
                      "gridTemplateColumns": "1fr 50px",
                      "paddingLeft": 32,
                      "paddingRight": 32
                    },
                    "children": [
                      <#list assist.cfilters as cfilters>
                      {
                        "id": "id${newId()}",
                        "type": "fx-${cfilters.editor}",
                        "props": {
                          "label": "${cfilters.label}",
                          "maxlength": 50,
                          "placeholder": "请输入${cfilters.label}",
                          "labelWidth": 150,
                          "affixError": false,
                          "hideLabel": true,
                          "leftIcon": "",
                          "dataset": "${cfilters.dataset}",
                          "field": "${cfilters.id}"
                        },
                        "events": {}
                      },
                      </#list>
                      {
                        "id": "id${newId()}",
                        "type": "fx-button-group",
                        "props": {
                          "menus": [],
                          "textAlign": "right"
                        },
                        "slots": {
                          "default": [
                            {
                              "type": "fx-button",
                              "props": {
                                "label": "搜索",
                                "leftIcon": "",
                                "action": "button:search",
                                "link": true,
                                "type": "primary",
                                "dataset": "${param.listDs_assist}"
                              },
                              "id": "id${newId()}"
                            }
                          ]
                        }
                      }
                    ]
                  },
                  {
                    "id": "${newId()}",
                    "type": "fx-form-panel",
                    "shape": "panel",
                    "props": {
                      "size": "",
                      "colNum": 0
                    },
                    "children": [
                      {
                        "id": "id${newId()}",
                        "type": "fx-table",
                        "props": {
                          "label": "表格",
                          "border": true,
                          "stripe": true,
                          "showHeader": false,
                          "fit": true,
                          "hideOp": false,
                          "hideNo": true,
                          "dataset": "${param.listDs_assist}",
                          "hidePagination": true
                        },
                        "slots": {
                          "button": [
                            {
                              "type": "fx-button",
                              "props": {
                                "label": "编辑",
                                "type": "primary",
                                "leftIcon": "edit",
                                "action": "button:edit",
                                "linkType": "dialog",
                                "dataset": "${param.editDs_assist}",
                                "fxLink": "dialog:editAssistDialog",
                                "fxLink_text": "${param.editDs_assist_title}",
                                "link": true
                              },
                              "id": "id${newId()}"
                            },
                            {
                              "type": "fx-button",
                              "props": {
                                "label": "删除",
                                "type": "primary",
                                "leftIcon": "delete",
                                "action": "button:remove",
                                "link": true,
                                "text": false,
                                "dataset": "${param.editDs_assist}",
                                "confirm": ""
                              },
                              "id": "id${newId()}"
                            }
                          ],
                          "default": [
                            <#list assist.fields as field>
                            {
                              "id": "id${newId()}",
                              "type": "fx-table-column",
                              "props": {
                                "field": "${field.id}",
                                "label": "${field.label}"
                              }
                            }<#if field_has_next>,</#if>
                            </#list>
                          ]
                        },
                        "events": {}
                      }
                    ]
                  }
                ]
              },
              </#list>
              {
                "id": "${newId()}",
                "type": "fx-form-panel",
                "shape": "panel",
                "props": {
                  "size": "10",
                  "backgroundColor": "--color-transparent"
                },
                "children": []
              },
              <#list layout.c1 as main>
              {
                "id": "${newId()}",
                "type": "fx-split-panel",
                "shape": "panel",
                "props": {
                  "horizontal": false
                },
                "children": [
                  {
                    "shape": "panel",
                    "id": "form_panel",
                    "type": "fx-form-panel",
                    "props": {
                      "colNum": 3,
                      "label": "查询条件",
                      "size": "50",
                      "alignY": "center"
                    },
                    "children": [
                      <#list main.cfilters as cfilters>
                      {
                        "id": "id${newId()}",
                        "type": "fx-${cfilters.editor}",
                        "props": {
                          "label": "${cfilters.label}",
                          "type": "text",
                          "maxlength": 50,
                          "placeholder": "请输入${cfilters.label}",
                          "labelWidth": 100,
                          "affixError": false
                        },
                        "events": {}
                      },
                      </#list>
                      {
                        "id": "id${newId()}",
                        "type": "fx-button-group",
                        "props": {
                          "menus": []
                        },
                        "slots": {
                          "default": [
                            {
                              "type": "fx-button",
                              "props": {
                                "label": "查询",
                                "leftIcon": "search",
                                "type": "primary",
                                "action": "button:search",
                                "linkType": "",
                                "dataset": "${param.listDs_main}"
                              },
                              "id": "id${newId()}"
                            },
                            {
                              "type": "fx-button",
                              "props": {
                                "label": "重置",
                                "leftIcon": "clear",
                                "action": "button:reset"
                              },
                              "id": "id${newId()}"
                            }
                            <#if (main.sfilters?size>0)>
                            ,{
                              "id": "id${newId()}",
                              "type": "fx-button",
                              "props": {
                                "label": "高级筛选",
                                "leftIcon": "hamburger-button",
                                "action": "button:link",
                                "link": true,
                                "linkType": "drawer",
                                "fxLink": "dialog:qrueydialog"
                              }
                            }
                            </#if>
                          ]
                        }
                      }
                    ]
                  },
                  {
                    "id": "${newId()}",
                    "type": "fx-form-panel",
                    "shape": "panel",
                    "props": {
                      "label": "间隔",
                      "size": "10",
                      "backgroundColor": "--color-transparent"
                    },
                    "children": []
                  },
                  {
                    "id": "${newId()}",
                    "type": "fx-form-panel",
                    "shape": "panel",
                    "props": {
                      "label": "表格标题区",
                      "size": "50",
                      "backgroundImage": "bgImg-region-title",
                      "colNum": 2,
                      "alignY": "center",
                      "paddingLeft": 32,
                      "paddingRight": 32
                    },
                    "children": [
                      {
                        "id": "id${newId()}",
                        "type": "fx-title",
                        "props": {
                          "label": "${main.label}"
                        }
                      },
                      {
                        "id": "id${newId()}",
                        "type": "fx-button-group",
                        "props": {
                          "menus": [],
                          "textAlign": "right"
                        },
                        "slots": {
                          "default": [
                            {
                              "type": "fx-button",
                              "props": {
                                "label": "新增",
                                "leftIcon": "plus",
                                "type": "primary",
                                "action": "button:add",
                                "linkType": "dialog",
                                "dataset": "${param.editDs_main}",
                                "fxLink": "dialog:editDict",
                                "fxLink_text": "${param.editDs_main_title}",
                                "preAction": ""
                              },
                              "id": "id${newId()}"
                            }
                          ]
                        }
                      }
                    ]
                  },
                  {
                    "id": "${newId()}",
                    "type": "fx-form-panel",
                    "shape": "panel",
                    "props": {
                      "label": "表格区",
                      "colNum": 0
                    },
                    "children": [
                      {
                        "id": "id${newId()}",
                        "type": "fx-table",
                        "props": {
                          "label": "表格",
                          "border": true,
                          "stripe": true,
                          "showHeader": true,
                          "fit": true,
                          "dataset": "${param.listDs_main}"
                        },
                        "slots": {
                          "button": [
                            {
                              "type": "fx-button",
                              "props": {
                                "label": "编辑",
                                "type": "primary",
                                "leftIcon": "edit",
                                "action": "button:edit",
                                "link": false,
                                "text": true,
                                "dataset": "${param.editDs_main}",
                                "linkType": "dialog",
                                "fxLink": "dialog:editDict",
                                "fxLink_text": "${param.editDs_main_title}"
                              },
                              "id": "id${newId()}"
                            },
                            {
                              "type": "fx-button",
                              "props": {
                                "label": "删除",
                                "type": "danger",
                                "leftIcon": "delete",
                                "action": "button:remove",
                                "link": false,
                                "text": true,
                                "dataset": "${param.editDs_main}",
                                "preAction": ""
                              },
                              "id": "id${newId()}"
                            }
                          ],
                          "default": [
                            <#list main.fields as field>
                            {
                              "id": "id${newId()}",
                              "type": "fx-table-column",
                              "props": {
                                "field": "${field.id}",
                                "label": "${field.label}"
                              }
                            }<#if field_has_next>,</#if>
                            </#list>
                          ]
                        },
                        "events": {}
                      }
                    ]
                  }
                ]
              }
              </#list>
            ]
          },
          {
            "shape": "panel",
            "id": "fx-form-panel",
            "type": "fx-split-panel",
            "props": {
              "shadow": "",
              "size": 24
            },
            "children": []
          }
        ]
      }
    },
    <#list layout.c4 as assist_dialog>
    {
      "page": {
        "id": "id${newId()}",
        "type": "fx-dialog",
        "props": {
      <#if (param.editDs_assist_title == "")>
          "title": "副卡片",
      <#else>
          "title": "${param.editDs_assist_title}",
      </#if>
          "key": "editAssistDialog",
          "closeOnClickModal": false
        },
        "events": {}
      },
      "graph": {
        "shape": "panel",
        "id": "root_panel",
        "type": "fx-split-panel",
        "props": {
          "horizontal": false,
          "shadow": "never"
        },
        "children": [
          {
            "id": "${newId()}",
            "type": "fx-split-panel",
            "shape": "panel",
            "props": {
              "horizontal": false,
              "scroll": true,
              "backgroundColor": "--color-white"
            },
            "children": [
              <#assign dfields = assist_dialog.fields>
              <#assign col = param.assist_col>
              <#include "incModel/inc_list_dialog.ftl"/>
            ]
          },
          {
            "id": "${newId()}",
            "type": "fx-form-panel",
            "shape": "panel",
            "props": {
              "size": "0"
            },
            "children": [
              {
                "id": "id${newId()}",
                "type": "fx-divider",
                "props": {
                  "label": "",
                  "contentPosition": "center",
                  "direction": "horizontal"
                }
              }
            ]
          },
          {
            "id": "${newId()}",
            "type": "fx-form-panel",
            "shape": "panel",
            "props": {
              "size": "56",
              "paddingRight": 10,
              "alignY": "center"
            },
            "children": [
              {
                "id": "id${newId()}",
                "type": "fx-button-group",
                "props": {
                  "menus": [],
                  "textAlign": "right"
                },
                "slots": {
                  "default": [
                    {
                      "type": "fx-button",
                      "props": {
                        "label": "保存",
                        "leftIcon": "save",
                        "type": "success",
                        "action": "button:save",
                        "dataset": "${param.editDs_assist}"
                      },
                      "id": "id${newId()}"
                    },
                    {
                      "type": "fx-button",
                      "props": {
                        "label": "关闭",
                        "leftIcon": "close",
                        "type": "",
                        "action": "button:closeDialog",
                        "nextAction": "button:search"
                      },
                      "id": "id${newId()}"
                    }
                  ]
                }
              }
            ]
          }
        ]
      }
    },
    </#list>
    <#list layout.c3 as main_dialog>
  {
  "page": {
  "id": "id${newId()}",
  "type": "fx-dialog",
  "props": {
  <#if (param.editDs_main_title == "")>
    "title": "主卡片",
  <#else>
    "title": "${param.editDs_main_title}",
  </#if>
  "key": "editDict",
  "closeOnClickModal": false
  },
  "events": {}
  },
  "graph": {
  "shape": "panel",
  "id": "root_panel",
  "type": "fx-split-panel",
  "props": {
  "horizontal": false,
  "shadow": "never"
  },
  "children": [
  {
  "id": "${newId()}",
  "type": "fx-split-panel",
  "shape": "panel",
  "props": {
  "horizontal": false,
  "scroll": true,
  "backgroundColor": "--color-white"
  },
  "children": [
  <#assign dfields = main_dialog.fields>
  <#assign col = param.main_col>
  <#include "incModel/inc_list_dialog.ftl"/>
  ]
  },
  {
  "id": "${newId()}",
  "type": "fx-form-panel",
  "shape": "panel",
  "props": {
  "size": "0"
  },
  "children": [
  {
  "id": "id${newId()}",
  "type": "fx-divider",
  "props": {
  "label": "",
  "contentPosition": "center",
  "direction": "horizontal"
  }
  }
  ]
  },
  {
  "id": "${newId()}",
  "type": "fx-form-panel",
  "shape": "panel",
  "props": {
  "size": "56",
  "paddingRight": 10,
  "alignY": "center"
  },
  "children": [
  {
  "id": "id${newId()}",
  "type": "fx-button-group",
  "props": {
  "menus": [],
  "textAlign": "right"
  },
  "slots": {
  "default": [
  {
  "type": "fx-button",
  "props": {
  "label": "保存",
  "leftIcon": "save",
  "type": "success",
  "action": "button:save",
  "dataset": "${param.editDs_main}"
  },
  "id": "id${newId()}"
  },
  {
  "type": "fx-button",
  "props": {
  "label": "关闭",
  "leftIcon": "close",
  "type": "",
  "action": "button:closeDialog",
  "nextAction": "button:search"
  },
  "id": "id${newId()}"
  }
  ]
  }
  }
  ]
  }
  ]
  }
  }
</#list>

    <#list layout.c1 as main_quy_dialog>
      <#assign group = main_quy_dialog >
        <#if (group.sfilters?size>0)>
          <#include "incModel/inc_query_sfilters.ftl"/>
        </#if>
    </#list>
  ],
  "model": [
    <#list datasets as dataset>
    <#include "incModel/inc_model.ftl"/><#if dataset_has_next>,</#if>
    </#list>
  ],
  "option": {
    "widgetRef": [${widgetRef}],
    "vars": []
  }
}