package cc.smtweb.framework.core.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * 通过对@SwService/@SwBean类中的函数注解，服务启动时会调用一次被注解的函数
 * @author kevin
 */
@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.METHOD})
public @interface SwConstruct {
  /**
   * 销毁顺序，值越小越先创建
   * @return 销毁顺序值
   */
  int order() default 0;
}
