package cc.smtweb.framework.core.annotation;

import java.lang.annotation.*;


/**
 * 参数注解，当编译器无法找到参数名称时，需要用该注解标明参数名称，当然你也可以用该参数标注参数别名与表单域字段名同意
 * @author kevin
 *
 */
@Target( { ElementType.PARAMETER, ElementType.FIELD})
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface SwParam {
    String value() default "";
    /** 注入类型，有多个类实现/子类时使用 */
    Class<?> type() default Object.class;
}
